Summary:	Synce synchronization engine
Name:		sync-engine
Version:	0.11
Release:	%mkrel 16
License:	GPLv2+
Group:		Office
Source0:	%{name}-%{version}.tar.bz2
Source1:        synce-config.xml
# From upstream SVN: correct typo in code for finding default config
# file and copying it to home dir if it does not exist. Note that this
# version of the patch also changes it to look for the config file in
# SyncEngine/config rather than just /config, which is a Mandriva
# change that may not appear upstream, so when updating this package
# past 0.11 please don't just drop this patch as "merged" - AdamW
# 2008/03
Patch0:		sync-engine-0.11-config.patch
# From upstream SVN: fixes some problems with librapi error handling
# - AdamW 2008/03
Patch1:		sync-engine-0.11-rapierror.patch
# From upstream SVN: fix some more error handling issues - return
# errors correctly rather than erroring out with a Python traceback
# when partnership limit is reached, or name entered for a partnership
# is too long - AdamW 2008/03
Patch2:		sync-engine-0.11-errors.patch
# From upstream SVN: send out a d-bus signal when a partnership is
# deleted or created (useful for clients)
Patch3:		sync-engine-0.11-partnershipdbus.patch
URL:		http://synce.sourceforge.net/
Buildroot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	python-setuptools
BuildRequires:	python-devel
Requires:	python-libxslt
Requires:	python-librtfcomp
Requires:	python-librra
Requires:	librapi-python
Requires:	libxml2-python
Requires:	pywbxml
Requires:	python-gobject
Requires:	python-pyxml
Requires:	python-dbus
Requires:	python-sqlite2


%description
Synce synchronization engine.

%package -n libopensync-plugin-synce
Summary:	synce plugin for opensync
Group:		Office
Requires:	libopensync-plugin-python >= 0.22
Requires:	%{name}

%description -n libopensync-plugin-synce
SynCE plugin for OpenSync. Allows applications using the OpenSync
framework to synchronise with devices handled by SynCE.

%prep
%setup -q
%patch0 -p1 -b .config
%patch1 -p1 -b .rapierror
%patch2 -p1 -b .errors
%patch3 -p1 -b .partnership

%build
%{__python} ./setup.py build

%install
rm -rf %{buildroot}
mkdir -p %buildroot%{_bindir}
%{__python} setup.py install -O1 --skip-build --root %{buildroot}

mkdir -p %{buildroot}%{_libdir}/opensync/python-plugins/
mv \
 %{buildroot}%{py_puresitedir}/plugins/synce-opensync-plugin-2x.py \
 %{buildroot}%{_libdir}/opensync/python-plugins/

rm -fr %{buildroot}%{py_puresitedir}/plugins/

mkdir -p %{buildroot}%{py_puresitedir}/SyncEngine/config
install -m 0644 config/config.xml %{buildroot}%{py_puresitedir}/SyncEngine/config/config.xml

# dbus activation file (causes sync-engine to be run when something
# tries to access the dbus service) - AdamW 2008/03, with thanks to
# John Carr
mkdir -p %{buildroot}%{_datadir}/dbus-1/services
cat > %{buildroot}%{_datadir}/dbus-1/services/org.synce.service << EOF
[D-BUS Service]
Name=org.synce.SyncEngine
Exec=/usr/bin/sync-engine
EOF

# default config for opensync plugin, specifying an empty configuration
# so apps like kitchensync know the plugin needs no config. Note this
# will be different for opensync 0.3 / 0.4 - AdamW 2008/03
mkdir -p %{buildroot}%{_datadir}/opensync/defaults
cat > %{buildroot}%{_datadir}/opensync/defaults/synce-opensync-plugin << EOF
<config></config>
EOF

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc CHANGELOG COPYING
%{_bindir}/*py
%{_bindir}/%{name}
%{_datadir}/dbus-1/services/org.synce.service
%{py_puresitedir}/*

%files -n libopensync-plugin-synce
%defattr(-,root,root,-)
%{_libdir}/opensync/python-plugins/*
%{_datadir}/opensync/defaults/synce-opensync-plugin



%changelog
* Tue Mar 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-16mdv2008.1
+ Revision: 190174
- reintroduce partnershipdbus.patch, fixed up properly this time

* Tue Mar 25 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-15mdv2008.1
+ Revision: 190087
- revert last change, it seems to cause synchronization to fail for an as-yet undetermined reason

* Mon Mar 24 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-14mdv2008.1
+ Revision: 189770
- add partnershipdbus.patch, from upstream SVN: send out a d-bus signal when a partnership is created or deleted

* Thu Mar 20 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-13mdv2008.1
+ Revision: 189201
- add errors.patch, from upstream SVN: handles errors better, returning an error rather than failing with a python trace; will let synce-kpm behave better in this case

* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-12mdv2008.1
+ Revision: 187590
- only install the .py file for the opensync plugin, not the .pyo and .pyc, otherwise GUIs list it three times

* Thu Mar 13 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-11mdv2008.1
+ Revision: 187307
- adapt opensync plugin package to upcoming 0.22 opensync reversion
- better description for opensync plugin
- few small cleanups

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-10mdv2008.1
+ Revision: 187277
- create a dbus activation file so sync-engine gets run when anything tries to access the relevant dbus service

* Wed Mar 12 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-9mdv2008.1
+ Revision: 187222
- add rapierror.patch, from upstream SVN: fixes bugs in rapi handling which was causing partnerships not to be re-detected when phone was re-plugged or sync-engine started
- add comment on config.patch
- rename config.patch with version included

* Tue Mar 11 2008 Adam Williamson <awilliamson@mandriva.com> 0.11-8mdv2008.1
+ Revision: 186937
- install config.xml to the appropriate place (see sync-engine-config.patch)
- use %%{buildroot} instead of $RPM_BUILD_ROOT
- stop libopensync-plugin-synce from obsoleting itself
- add sync-engine-config.patch from upstream SVN: fix #37874 (default config file not created on first run) - slightly modified for better location of config file

* Sun Feb 17 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-7mdv2008.1
+ Revision: 170031
- fix summary
- add an advisory for firt use

* Sat Feb 02 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-6mdv2008.1
+ Revision: 161488
- fix license
- use fedora config.xml file
- ship config.xml as doc
- better description

* Wed Jan 16 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-5mdv2008.1
+ Revision: 153840
- opensync plugin have now its own package
- add more requires
- use python macro
- provide opensync plugin

* Sat Jan 12 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-2mdv2008.1
+ Revision: 149797
- add config file
- add missing requires librapi-python
- add missing requires librra-python
- add missing requires python-librtfcomp
- requires python-libxslt

* Fri Jan 11 2008 Emmanuel Andry <eandry@mandriva.org> 0.11-1mdv2008.1
+ Revision: 147796
- import sync-engine


